## org.eclipse.datatools.enablement.sybase.asa.providers
Class SybaseASAContentProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.providers.SybaseASAContentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.navigator.ICommonContentProvider, org.eclipse.ui.navigator.IMementoAware, org.eclipse.ui.navigator.IPipelinedTreeContentProvider

    public class SybaseASAContentProvider

extends java.lang.Object
implements org.eclipse.ui.navigator.ICommonContentProvider, org.eclipse.ui.navigator.IPipelinedTreeContentProvider, org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService
`org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService.Loading`

Constructor Summary
`SybaseASAContentProvider()`

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.String` `getLoadingDescription()`
`java.lang.Object` `getParent(java.lang.Object element)`
`void` `getPipelinedChildren(java.lang.Object parent, java.util.Set theCurrentChildren)`
`void` `getPipelinedElements(java.lang.Object anInput, java.util.Set theCurrentElements)`
`java.lang.Object` `getPipelinedParent(java.lang.Object anObject, java.lang.Object suggestedParent)`
`boolean` `hasChildren(java.lang.Object element)`
`void` `init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
`org.eclipse.ui.navigator.PipelinedShapeModification` `interceptAdd(org.eclipse.ui.navigator.PipelinedShapeModification anAddModification)`
`boolean` `interceptRefresh(org.eclipse.ui.navigator.PipelinedViewerUpdate refreshSynchronization)`
`org.eclipse.ui.navigator.PipelinedShapeModification` `interceptRemove(org.eclipse.ui.navigator.PipelinedShapeModification removeModification)`
`boolean` `interceptUpdate(org.eclipse.ui.navigator.PipelinedViewerUpdate anUpdateSynchronization)`
`java.lang.Object[]` `load(java.lang.Object parentElement)`
`void` `restoreState(org.eclipse.ui.IMemento aMemento)`
`void` `saveState(org.eclipse.ui.IMemento aMemento)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASAContentProvider

    public SybaseASAContentProvider()

Method Detail

### load

    public java.lang.Object[] load(java.lang.Object parentElement)

  Specified by:
    `load` in interface `org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService`
  See Also:
    `ITreeContentProvider.getChildren(java.lang.Object)`

### getParent

    public java.lang.Object getParent(java.lang.Object element)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.getParent(java.lang.Object)`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.hasChildren(java.lang.Object)`

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  See Also:
    `IStructuredContentProvider.getElements(java.lang.Object)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.dispose()`

### init

    public void init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)

  Specified by:
    `init` in interface `org.eclipse.ui.navigator.ICommonContentProvider`

### restoreState

    public void restoreState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `restoreState` in interface `org.eclipse.ui.navigator.IMementoAware`

### saveState

    public void saveState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.navigator.IMementoAware`

### getPipelinedChildren

    public void getPipelinedChildren(java.lang.Object parent,
                                     java.util.Set theCurrentChildren)

  Specified by:
    `getPipelinedChildren` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### getPipelinedElements

    public void getPipelinedElements(java.lang.Object anInput,
                                     java.util.Set theCurrentElements)

  Specified by:
    `getPipelinedElements` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### getPipelinedParent

    public java.lang.Object getPipelinedParent(java.lang.Object anObject,
                                               java.lang.Object suggestedParent)

  Specified by:
    `getPipelinedParent` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptAdd

    public org.eclipse.ui.navigator.PipelinedShapeModification interceptAdd(org.eclipse.ui.navigator.PipelinedShapeModification anAddModification)

  Specified by:
    `interceptAdd` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptRefresh

    public boolean interceptRefresh(org.eclipse.ui.navigator.PipelinedViewerUpdate refreshSynchronization)

  Specified by:
    `interceptRefresh` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptRemove

    public org.eclipse.ui.navigator.PipelinedShapeModification interceptRemove(org.eclipse.ui.navigator.PipelinedShapeModification removeModification)

  Specified by:
    `interceptRemove` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### interceptUpdate

    public boolean interceptUpdate(org.eclipse.ui.navigator.PipelinedViewerUpdate anUpdateSynchronization)

  Specified by:
    `interceptUpdate` in interface `org.eclipse.ui.navigator.IPipelinedTreeContentProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getLoadingDescription

    public java.lang.String getLoadingDescription()

  Specified by:
    `getLoadingDescription` in interface `org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService`